## netgen 1.0

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies, e.g., grid networks or clustered networks. Useful for the generation of benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems or Travelling Salesperson Problems.
Version: 1.0
Date: 2015-01-20
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10)
Imports: ggplot2, lpSolve, checkmate (>= 1.5.1)
Suggests: testthat
Packaged: 2015-02-03 20:25:07 UTC; jboss
Author: Jakob Bossek [aut, cre]
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-02-03 23:18:48

## netgen 1.1

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies, e.g., grid networks or clustered networks. Useful for the generation of benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems or Travelling Salesperson Problems.
Version: 1.1
Date: 2015-05-19
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10), checkmate
        (>= 1.5.1)
Imports: ggplot2, lpSolve, igraph (>= 0.7.1), stringr (>= 0.6.2)
Suggests: testthat
LazyData: yes
ByteCompile: yes
NeedsCompilation: no
Packaged: 2015-05-19 09:05:05 UTC; jboss
Author: Jakob Bossek [aut, cre]
Repository: CRAN
Date/Publication: 2015-05-19 13:04:17

## netgen 1.2

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies,
    e.g., grid networks or clustered networks. Useful for the generation of
    benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems
    or Travelling Salesperson Problems.
Version: 1.2
Date: 2015-11-24
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10), checkmate
        (>= 1.5.1)
Imports: ggplot2, lpSolve, igraph (>= 0.7.1), stringr (>= 0.6.2)
Suggests: testthat
LazyData: yes
ByteCompile: yes
RoxygenNote: 5.0.0
NeedsCompilation: no
Packaged: 2015-11-24 10:31:33 UTC; jboss
Author: Jakob Bossek [aut, cre]
Repository: CRAN
Date/Publication: 2015-11-24 15:08:32

## netgen 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -5,8 +5,8 @@
     e.g., grid networks or clustered networks. Useful for the generation of
     benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems
     or Travelling Salesperson Problems.
-Version: 1.2
-Date: 2015-11-24
+Version: 1.3
+Date: 2016-01-21
 Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
     c("aut", "cre")))
 Maintainer: Jakob Bossek <j.bossek@gmail.com>
@@ -19,9 +19,9 @@
 Suggests: testthat
 LazyData: yes
 ByteCompile: yes
-RoxygenNote: 5.0.0
+RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2015-11-24 10:31:33 UTC; jboss
+Packaged: 2016-01-21 23:04:49 UTC; jboss
 Author: Jakob Bossek [aut, cre]
 Repository: CRAN
-Date/Publication: 2015-11-24 15:08:32
+Date/Publication: 2016-01-22 10:26:50

## netgen 1.3.2

=== DESCRIPTION ===
Package: netgen
Type: Package
Title: Network Generator for Combinatorial Graph Problems
Description: Methods for the generation of a wide range of network geographies,
    e.g., grid networks or clustered networks. Useful for the generation of
    benchmarking instances for the investigation of, e.g., Vehicle-Routing-Problems
    or Travelling Salesperson Problems.
Version: 1.3.2
Date: 2020-01-08
Authors@R: c(person("Jakob", "Bossek", email = "j.bossek@gmail.com", role =
    c("aut", "cre")))
Maintainer: Jakob Bossek <j.bossek@gmail.com>
URL: https://github.com/jakobbossek/netgen
BugReports: https://github.com/jakobbossek/netgen/issues
License: BSD_3_clause + file LICENSE
Depends: BBmisc (>= 1.6), mvtnorm (>= 1.0-2), lhs (>= 0.10), checkmate
        (>= 1.8.0)
Imports: ggplot2, igraph (>= 0.7.1), stringr (>= 0.6.2)
Suggests: testthat, lpSolve
LazyData: yes
ByteCompile: yes
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2020-01-08 05:48:03 UTC; bossek
Author: Jakob Bossek [aut, cre]
Repository: CRAN
Date/Publication: 2020-01-08 17:50:02 UTC

## netgen 4.4

=== Makefile ===

#  Main Makefile for NETGEN
#  
src =  ngtcltk/ngappinit.cpp ngtcltk/ngpkg.cpp togl/togl.cpp ngtcltk/demoview.cpp onetcl.cpp 
#
#
program = ng
#
#
# netgen libraries:
#
# lapack =  -llapack  -lblas -lgmp -lg2c
# lapack = -ltmglib -llapack  -lblas -lgmp -lg2c       
#
#
#
mylib =  -lnginterface -lvis -lcsg -lstlgeom -lgeom2d -lmesh -lgprim -lopti \
	 -lla -lgen  -locc
#
#
# system libraries:
#
#
tcltklib = -ltix8.1.8.4 -ltk8.4  -ltcl8.4
# tcltklib = -ltix4.1.8.3 -ltk8.3 -ltcl8.3
# tcltklib = -ltix8.2 -ltk8.3 -ltcl8.3
# tcltklib = /usr/lib/libtix8.1.8.3.so -ltk8.3 -ltcl8.3
# tcltklib = -ltix4.1.8.2 -ltk8.2 -ltcl8.2
# tcltklib = -ltix8.2 -ltk8.4 -ltcl8.4
#
#
syslib = $(tcltklib) -lGL -lGLU -lX11  -lXi -lm  -ldl -lpthread $(SYSLIB2)
# (maybe you have to remove -ldl)
#
#
CPP_DIR=.
LIBSRC_DIR=$(CPP_DIR)/libsrc
LIB_DIR=$(CPP_DIR)/lib/$(MACHINE)
#
#

# OCC_DIR=$(CPP_DIR)/occ
# OCCINC_DIR=$(OCC_DIR)/inc
# OCCLIB_DIR=$(OCC_DIR)/lib
#
OCC_DIR=/opt/OpenCASCADE5.2
OCCINC_DIR=$(OCC_DIR)/ros/inc
OCCLIB_DIR=$(OCC_DIR)/ros/lin/lib

# add libs in makefile.mach.$(MACHINE)
# occlib = -L$(OCCLIB_DIR) -lTKIGES -lTKBRep -lTKSTEP -lTKSTL
#
include $(LIBSRC_DIR)/makefile.mach.$(MACHINE)
#
#
.PRECIOUS: .cpp .c .hh
.SUFFIXES: .cpp .c .o
#
#
#
CPLUSPLUSFLAGS1 = -c -I$(LIBSRC_DIR)/include -I$(OCCINC_DIR)  -I./ngsolve/include -Ilibsrc/interface -DOPENGL $(METISINC)
#
LINKFLAGS1 =   -lGL -lGLU -lX11 -lXext -lXmu   
#
#
CPLUSPLUSFLAGS = $(CPLUSPLUSFLAGS1) $(CPLUSPLUSFLAGS2) $(CPLUSPLUSFLAGS3)
#
.cpp.o:
	$(CPLUSPLUS) $(CPLUSPLUSFLAGS) $< -o $(<:.cpp=.o)
#
#
#
#
# Additional NETGEN Applications:
#
# the demo add-on application:
# appdemo = -L./demoapp -ldemoapp
#
# appaddon = -L./addon -laddon

# the finite element package NGSolve (available from netgen pages)
# appngs =  lib/$(MACHINE)/*.o -lngsolvebasic
#
# OLD!!! DON'T USE
# an interface to metis
# appmetis = -L./metis  -lngmetis -lmetis
#
ngapplib = $(appngs) $(appdemo) $(appmetis) $(appaddon)
#
#
# Stefan Reitzinger's AMG code pebbles
# pebbleslib = -L../pebbles_old/lib/LINUX -lprepro -lsolver  -lmatrix  -lsetup -lparallel -lintegrator   -L../pebbles_old/SuperLU -lsuperlu_linux -lblas_linux
# 
#
#
LINKFLAGS =  $(LINKFLAGS1) $(LINKFLAGS2) $(LINKFLAGS3)
#
$(program) : $(src:.cpp=.o) makelibs applib $(goaltrafo) $(goaladdon) $(goalngs) $(goalzug)
	$(LINK) -o $@ $(src:.cpp=.o) -L$(LIB_DIR) $(LINKFLAGS) $(ngapplib) $(pebbleslib) $(mylib) $(lapack)  $(syslib) $(occlib) $(METISLIB)
#
makelibs:
	cd libsrc; $(MAKE)
#
applib:
#	cd demoapp; $(MAKE);
#	cd addon; $(MAKE)
#	cd ngsolve; $(MAKE);
#	cd metis; $(MAKE)
#
#
goalngs:
	cd ngsolve; $(MAKE)
#
goaladdon:
	cd addon; $(MAKE)
#
#
.PHONY : clean
clean:
	-@rm *.o ngtcltk/*.o togl/*.o lib/$(MACHINE)/lib*.a lib/$(MACHINE)/*.o
#
#
.PHONY : cleanapp
cleanapp:
	-@rm *.o ngtcltk/*.o togl/*.o 
#
#

=== demoapp/Makefile ===
src = demoapp.cpp
#
lib = libdemoapp.a
#
#
include ../libsrc/makefile.mach.$(MACHINE)
#
#
.PRECIOUS: .cc .hh 
.SUFFIXES: .cc .o 
#
.cc.o:
	$(CPLUSPLUS) -c -O2 $<
#
#
# make lib from sources:
#
$(lib):: $(src) 
	$(CPLUSPLUS) -c -O2 -I../libsrc/interface  $(CPLUSPLUSFLAGS2) $?
	$(AR) $(ARFLAGS) $@ *.o
	-$(RM) *.o
#
#
#	-@$(RANLIB) $@
#
#

=== ngcore/Makefile ===
# Please chose application:
#
main = ng_stl
# main = ng_teststle
# main = ng_vol
# main = ng_2d
#
#
src = ../libsrc/opti/linopt.cpp \
	../libsrc/opti/bfgs.cpp \
	../libsrc/opti/linsearch.cpp \
	../libsrc/meshing/global.cpp \
	../libsrc/meshing/bisect.cpp \
	../libsrc/meshing/meshtool.cpp \
	../libsrc/meshing/refine.cpp \
	../libsrc/meshing/ruler3.cpp \
	../libsrc/meshing/improve3.cpp \
	../libsrc/meshing/smoothing3.cpp \
	../libsrc/meshing/adfront3.cpp \
	../libsrc/meshing/tetrarls.cpp \
	../libsrc/meshing/prism2rls.cpp \
	../libsrc/meshing/pyramidrls.cpp \
	../libsrc/meshing/pyramid2rls.cpp \
	../libsrc/meshing/netrule3.cpp \
	../libsrc/meshing/ruler2.cpp \
	../libsrc/meshing/meshclass.cpp \
	../libsrc/meshing/improve2.cpp \
	../libsrc/meshing/smoothing2.cpp \
	../libsrc/meshing/adfront2.cpp \
	../libsrc/meshing/netrule2.cpp \
	../libsrc/meshing/triarls.cpp \
	../libsrc/meshing/geomsearch.cpp \
	../libsrc/meshing/secondorder.cpp \
	../libsrc/meshing/meshtype.cpp \
	../libsrc/meshing/parser3.cpp \
	../libsrc/meshing/meshing2.cpp \
	../libsrc/meshing/quadrls.cpp \
	../libsrc/meshing/specials.cpp \
	../libsrc/meshing/parser2.cpp \
	../libsrc/meshing/meshing3.cpp \
	../libsrc/meshing/meshfunc.cpp \
	../libsrc/meshing/localh.cpp \
	../libsrc/meshing/improve2gen.cpp \
	../libsrc/meshing/delaunay.cpp \
	../libsrc/meshing/boundarylayer.cpp \
	../libsrc/meshing/msghandler.cpp \
	../libsrc/meshing/meshfunc2d.cpp \
	../libsrc/meshing/topology.cpp \
	../libsrc/meshing/clusters.cpp \
	../libsrc/meshing/curvedelems.cpp \
	../libsrc/meshing/curvedelems2.cpp \
	../libsrc/meshing/hprefinement.cpp \
	../libsrc/interface/nglib.cpp \
	../libsrc/gprim/geomtest3d.cpp \
	../libsrc/gprim/geom2d.cpp \
	../libsrc/gprim/geom3d.cpp \
	../libsrc/gprim/adtree.cpp \
	../libsrc/gprim/transform3d.cpp \
	../libsrc/gprim/geomfuncs.cpp \
	../libsrc/linalg/polynomial.cpp \
	../libsrc/linalg/densemat.cpp \
	../libsrc/linalg/vector.cpp \
	../libsrc/linalg/basemat.cpp \
	../libsrc/linalg/sparsmat.cpp \
	../libsrc/csg/algprim.cpp \
	../libsrc/csg/brick.cpp \
	../libsrc/csg/manifold.cpp \
	../libsrc/csg/bspline2d.cpp \
	../libsrc/csg/meshsurf.cpp \
	../libsrc/csg/csgeom.cpp \
	../libsrc/csg/polyhedra.cpp \
	../libsrc/csg/curve2d.cpp \
	../libsrc/csg/singularref.cpp \
	../libsrc/csg/edgeflw.cpp \
	../libsrc/csg/solid.cpp \
	../libsrc/csg/explicitcurve2d.cpp \
	../libsrc/csg/specpoin.cpp \
	../libsrc/csg/gencyl.cpp \
	../libsrc/csg/revolution.cpp \
	../libsrc/csg/genmesh.cpp \
	../libsrc/csg/spline3d.cpp \
	../libsrc/csg/surface.cpp \
	../libsrc/csg/identify.cpp \
	../libsrc/csg/triapprox.cpp \
	../libsrc/geom2d/geom2dmesh.cpp \
	../libsrc/geom2d/spline2d.cpp \
	../libsrc/geom2d/splinegeometry2.cpp \
	../libsrc/geom2d/genmesh2d.cpp \
	../libsrc/stlgeom/meshstlsurface.cpp \
	../libsrc/stlgeom/stlline.cpp \
	../libsrc/stlgeom/stltopology.cpp \
	../libsrc/stlgeom/stltool.cpp \
	../libsrc/stlgeom/stlgeom.cpp \
	../libsrc/stlgeom/stlgeomchart.cpp \
	../libsrc/stlgeom/stlgeommesh.cpp \
	../libsrc/general/moveablemem.cpp \
	../libsrc/general/ngexception.cpp \
	../libsrc/general/table.cpp \
	../libsrc/general/optmem.cpp \
	../libsrc/general/spbita2d.cpp \
	../libsrc/general/hashtabl.cpp \
	../libsrc/general/sort.cpp \
	../libsrc/general/flags.cpp \
	../libsrc/general/seti.cpp \
	../libsrc/general/bitarray.cpp \
	../libsrc/general/array.cpp \
	../libsrc/general/symbolta.cpp \
	../libsrc/general/mystring.cpp 
#
#
#
allsrc = $(main).cpp $(src)
#
.PRECIOUS: .cpp .hh
.SUFFIXES: .cpp .o 
#
#
.cpp.o:
	gcc -c -O2 -w $< -o $(<:.cpp=.o) -I../libsrc/include -DNO_PARALLEL_THREADS
#
$(main) : $(main).o libng.a
	gcc -w -o $@ $(main).o -L. -lng -lm -lpthread -lstdc++
#
#
libng.a	: $(src:.cpp=.o) 
	ar r libng.a $(src:.cpp=.o) 
#
clean:
	-@rm -r ngcore *.o */*.o */*/*.o */*/*/*.o */*/ii_files

=== ngsolve/Makefile ===

#
# standard data types and linalg:
# 
srcbasic =  basiclinalg/cholesky.cpp basiclinalg/calcinverse.cpp \
	basiclinalg/vecmat.cpp basiclinalg/bandmatrix.cpp \
	basiclinalg/eigensystem.cpp \
	linalg/basevector.cpp linalg/vvector.cpp linalg/basematrix.cpp \
	linalg/sparsematrix.cpp linalg/special_matrix.cpp linalg/cg.cpp \
	linalg/chebyshev.cpp \
	linalg/eigen.cpp linalg/order.cpp linalg/sparsecholesky.cpp \
	linalg/pardisoinverse.cpp linalg/superluinverse.cpp \
	linalg/jacobi.cpp linalg/blockjacobi.cpp linalg/commutingAMG.cpp \
	ngstd/exception.cpp ngstd/table.cpp ngstd/bitarray.cpp \
	ngstd/flags.cpp ngstd/symboltable.cpp ngstd/blockalloc.cpp \
	ngstd/evalfunc.cpp ngstd/templates.cpp ngstd/localheap.cpp 
#
#
# finite elements: 
#
#
srcfem = fem/elementtopology.cpp fem/intrule.cpp fem/integrator.cpp \
	 fem/bdbequations.cpp fem/maxwellintegrator.cpp fem/hdiv_equations.cpp \
	fem/finiteelement.cpp fem/coefficient.cpp fem/specialelement.cpp \
	fem/hcurlfe.cpp fem/hdivfe.cpp fem/hdivhofe.cpp fem/equilibrium.cpp \
	fem/highorderfe.cpp \
	fem/h1hofe.cpp fem/l2hofe.cpp fem/recursive_pol_trig.cpp fem/recursive_pol.cpp \
	fem/hcurlhofe.cpp fem/pml.cpp fem/fastmat.cpp
#
#
# high level components:
#
#
srccomp = comp/hdivhofespace.cpp comp/preconditioner.cpp  comp/hcurlhdivfes.cpp comp/hdivfes.cpp \
	 comp/bilinearform.cpp \
	comp/linearform.cpp comp/gridfunction.cpp comp/meshaccess.cpp \
	comp/fespace.cpp comp/postproc.cpp comp/hierarchicalee.cpp comp/h1hofespace.cpp comp/highorderfes.cpp \
	comp/l2hofespace.cpp comp/bem.cpp comp/hcurlhofespace.cpp 

srcmultigrid = multigrid/mgpre.cpp multigrid/smoother.cpp multigrid/prolongation.cpp




# SuperLU sparse direct solver:
# src_superlu = linalg/superlu/*.c

#
#
#
# These files can be commented out:
#
#
src = ngsolve.cpp $(srcmultigrid) $(srccomp) $(srcfem) \
	solve/shapetester.cpp solve/numproc.cpp solve/bvp.cpp solve/evplapack.cpp solve/numprocee.cpp \
	solve/nonlinelast.cpp \
	solve/pde.cpp solve/pdeparser.cpp 
#
#
#
#  solve/nptests.cpp
#
src2 = $(srcbasic) $(src_superlu)
#
#
#
lib = ../lib/$(MACHINE)/libngsolve.a
lib2 = ../lib/$(MACHINE)/libngsolvebasic.a
libold = ../lib/$(MACHINE)/libngsolve_oldla.a
#
#
#
include ../libsrc/makefile.mach.$(MACHINE)
#
#
# .PRECIOUS: .cpp .hh 
# .SUFFIXES: .cpp .o 
#
# .cpp.o:
#	$(CPLUSPLUS) -c $<
#
#
#
#
# make lib from sources:
# 
goal:	$(lib) $(lib2)
#
pebblesinc = -I../../pebbles_old/libsrc/setup -I../../pebbles_old/libsrc/solver -I../../pebbles_old/libsrc/prepro -I../../pebbles_old/libsrc/parallel -I../../pebbles_old/libsrc
# 
$(lib):: $(src)
	$(CPLUSPLUS) -c -I. -I../libsrc -I../libsrc/include -I../libsrc/interface -Iinclude $(pebblesinc) $(CPLUSPLUSFLAGS2) -DNETGEN_ELTRANS $? 
	$(AR) $(ARFLAGS) $@ *.o
	mv *.o ../lib/$(MACHINE)
	-$(RM) *.o
	-@$(RANLIB) $@
#
$(lib2):: $(src2) 
	$(CPLUSPLUS) -c -I. -I../libsrc/interface -Iinclude $(CPLUSPLUSFLAGS2) $?
	$(AR) $(ARFLAGS) $@ *.o
	-$(RM) *.o
	-@$(RANLIB) $@
#
#
#
#
DOC_OPTIONS = --filenames --before-group --before-class -p -d doc++
#
.PHONY : doc
doc:
	@echo "Creating doc++ documentation"
	doc++ $(DOC_OPTIONS) ngs.dxx
#	cd ngstd; doc++ $(DOC_OPTIONS) ngstd_main.dxx; cd ..;
#	cd basiclinalg; doc++ $(DOC_OPTIONS) ngbla_main.dxx; cd ..;
#	cd linalg; doc++ $(DOC_OPTIONS) ngla_main.dxx; cd ..;
#
#
#
.PHONY : clean
clean:
	rm *~ */*~ *.s *.ii 
#
#

=== togl/Makefile ===
# $Id: Makefile,v 1.1.1.1 2002/04/15 12:57:09 joachim Exp $

# Togl - a Tk OpenGL widget
# Version 1.5
# Copyright (C) 1996-1997  Brian Paul and Ben Bederson
# See the LICENSE file for copyright details.


# $Log: Makefile,v $
# Revision 1.1.1.1  2002/04/15 12:57:09  joachim
# Put Netgen into public CVS directory
#
# Revision 1.1  2000/01/04 08:31:46  joachim
# move togl, restruture files
#
# Revision 1.14  1998/03/12 04:11:13  brianp
# updated LIBS for RedHat Linux 5.0
#
# Revision 1.13  1998/03/12 03:08:43  brianp
# added gears demo
#
# Revision 1.12  1997/12/11 02:21:41  brianp
# updated version to 1.5
#
# Revision 1.11  1997/09/18 03:43:00  brianp
# added zip archive target
#
# Revision 1.10  1997/09/17 02:51:45  brianp
# updated tar file list
#
# Revision 1.9  1997/09/17 02:46:01  brianp
# updated for version 1.4
#
# Revision 1.8  1997/03/07 01:25:42  brianp
# added overlay demo
#
# Revision 1.7  1997/02/16 10:03:19  brianp
# updated for version 1.3
#
# Revision 1.6  1996/12/13 21:23:41  brianp
# added -L/usr/X11/lib to LIBS
#
# Revision 1.5  1996/11/05 02:38:30  brianp
# added -f flag to rm commands
# added Togl.html to tar file
#
# Revision 1.4  1996/10/25 03:45:18  brianp
# changed tar commands
#
# Revision 1.3  1996/10/25 00:46:29  brianp
# added SHLINK and SH_LIB stuff
#
# Revision 1.2  1996/10/25 00:43:12  brianp
# misc cleanups
#
# Revision 1.1  1996/10/23 23:15:09  brianp
# Initial revision
#



# Makefile for Togl demos
# You'll probably have to tinker with these macros:


# The C compiler:
CC = cc

# Compiler options:
COPTS = -c -O

# Shared library linker command:
SHLINK = cc -G

# Name for the shared lib:
#SH_LIB = libtogl.so.1.3
SH_LIB = 

# Where to find tcl.h, tk.h, OpenGL/Mesa headers, etc:
INCLUDES = -I/usr/local/include -I/usr/include/tcl -I/usr/freeware/include

# Where to find libtcl.a, libtk.a, OpenGL/Mesa libraries:
LIBDIRS = -L/usr/local/lib

# Libraries to link with (-ldl for Linux only?):
LIBS = -ltk -ltcl -lGLU -lGL -L/usr/X11/lib -L/usr/freeware/lib32 -lX11 -lXmu -lXext -lXt -lm -ldl 

TK_FLAGS =


#### Shouldn't have to change anything beyond this point ####


CFLAGS = $(COPTS) $(INCLUDES) $(TK_FLAGS) -DSTEREO -D__sgi

LFLAGS = $(LIBDIRS)


DEMOS = $(SH_LIB) double texture index overlay gears


default: $(DEMOS)


# double demo
double: double.o togl.o
	$(CC) $(LFLAGS) double.o togl.o $(LIBS) -o $@

double.o: double.c togl.h
	$(CC) $(CFLAGS) double.c


# texture demo
texture: texture.o image.o togl.o
	$(CC) $(LFLAGS) texture.o image.o togl.o $(LIBS) -o $@

texture.o: texture.c togl.h
	$(CC) $(CFLAGS) texture.c

image.o: image.c
	$(CC) $(CFLAGS) image.c


# color index demo
index: index.o togl.o
	$(CC) $(LFLAGS) index.o togl.o $(LIBS) -o $@

index.o: index.c togl.h
	$(CC) $(CFLAGS) index.c


# overlay demo
overlay: overlay.o togl.o
	$(CC) $(LFLAGS) overlay.o togl.o $(LIBS) -o $@

overlay.o: overlay.c togl.h
	$(CC) $(CFLAGS) overlay.c


# gears demo
gears: gears.o togl.o
	$(CC) $(LFLAGS) gears.o togl.o $(LIBS) -o $@

gears.o: gears.c togl.h
	$(CC) $(CFLAGS) gears.c


# the togl widget
togl.o: togl.c togl.h
	$(CC) $(CFLAGS) togl.c


#$(SH_LIB): togl.o
#	$(SHLINK) $(LFLAGS) togl.o $(LIBS) -o $@ 



clean:
	-rm -f *.o *~ core

realclean:
	-rm -f *.o *~ core
	-rm -f $(DEMOS)



TOGL = Togl-1.5

FILES = \
	$(TOGL)/README		\
	$(TOGL)/Togl.html	\
	$(TOGL)/LICENSE		\
	$(TOGL)/Makefile	\
	$(TOGL)/*.[ch]		\
	$(TOGL)/*.tcl		\
	$(TOGL)/tree2.rgba	\
	$(TOGL)/ben.rgb

tar:
	cd .. ; \
	tar -cvf $(TOGL).tar $(FILES) ; \
	gzip $(TOGL).tar ; \
	mv $(TOGL).tar.gz $(TOGL)


zip:
	cd .. ; \
	zip -r $(TOGL).zip $(FILES) ; \
	mv $(TOGL).zip $(TOGL)

=== ngsolve/tutorial/Makefile ===
COMPILE = gcc -O2 -I../include -I../../libsrc/include -finline-limit=50000 -ftemplate-depth-99 -mcpu=pentium4 -funroll-loops -fforce-addr
# COMPILE = /opt/gcc40/bin/gcc -O2 -I../include -I../../libsrc/include -funroll-loops
# -finline-limit=10000 -march=pentium4 -fforce-addr  -ftemplate-depth-99 
# COMPILE = icc -xB -O3 -Ob2  -I../include -Qoption,c,-ip_ninl_max_stats=10000 -Qoption,c,-ip_ninl_min_stats=100 -Qoption,c,-ip_ninl_max_total_stats=4000
# COMPILE = icc -xN  -O3 -Ob2  -I../include -opt_report_fileopt.rep -Qoption,c,-ip_ninl_max_stats=10000 -Qoption,c,-ip_ninl_min_stats=100 -Qoption,c,-ip_ninl_max_total_stats=4000

stdlib = -lm -pthread -lstdc++
# stdlib = -L/opt/gcc40/lib -lm -pthread /opt/gcc40/lib/libstdc++.a

default:
	@echo "choose one of 'make std', 'make bla', 'make fem'"

std:	libngstd.a demo_std
bla:	libngstd.a libngbla.a demo_bla
# la:	libngstd.a libngbla.a libngla.a demo_lae	
fem: 	libngstd.a libngbla.a libngfem.a demo_fem


clean:
	rm *.a *.o

demo_std: demo_std.cpp
	$(COMPILE) demo_std.cpp -L. -lngstd -static $(stdlib) -o demo_std

demo_bla: demo_bla4.cpp
	$(COMPILE) -static demo_bla4.cpp -L. -lngbla -lngstd $(stdlib) -o demo_bla

demo_la: demo_la.cpp
	$(COMPILE) demo_la.cpp -L. -lngbla -lngla -lngstd -static $(stdlib) -o demo_la

demo_fem: demo_fem.cpp
	$(COMPILE) demo_fem.cpp -L. -lngfem -lngbla -lngstd $(stdlib) -o demo_fem





libngstd.a: ../ngstd/bitarray.cpp  ../ngstd/blockalloc.cpp   ../ngstd/evalfunc.cpp   ../ngstd/exception.cpp   ../ngstd/flags.cpp   ../ngstd/localheap.cpp   ../ngstd/symboltable.cpp    ../ngstd/table.cpp    ../ngstd/templates.cpp ../../libsrc/general/moveablemem.cpp ../../libsrc/general/dynamicmem.cpp ../../libsrc/general/ngexception.cpp
	@-rm *.o
	$(COMPILE) -c $?
	ar -r libngstd.a *.o 
	@-rm *.o

libngbla.a: ../basiclinalg/bandmatrix.cpp ../basiclinalg/eigensystem.cpp ../basiclinalg/calcinverse.cpp ../basiclinalg/vecmat.cpp ../basiclinalg/cholesky.cpp
	@-rm *.o
	$(COMPILE) -c $?
	ar -r libngbla.a *.o 
	@-rm *.o

libngla.a:
	@-rm *.o
	$(COMPILE) -c ../linalg/*.cpp
	ar -r libngla.a *.o 
	@-rm *.o

libngfem.a: ../fem/bdbequations.cpp ../fem/hdivhofe.cpp ../fem/coefficient.cpp ../fem/highorderfe.cpp ../fem/elementtopology.cpp ../fem/integrator.cpp ../fem/equilibrium.cpp ../fem/intrule.cpp ../fem/fastmat.cpp ../fem/l2hofe.cpp ../fem/finiteelement.cpp ../fem/maxwellintegrator.cpp ../fem/h1hofe.cpp ../fem/hcurlfe.cpp ../fem/recursive_pol.cpp ../fem/hcurlhofe.cpp ../fem/recursive_pol_trig.cpp ../fem/hdiv_equations.cpp ../fem/specialelement.cpp ../fem/hdivfe.cpp

	@-rm *.o
	$(COMPILE) -c $?
	ar -r libngfem.a *.o 
	@-rm *.o

## netgen 4.9.12.dfsg

=== debian/changelog ===
netgen (4.9.12.dfsg-3ubuntu1) maverick; urgency=low

  * add -D__STDC_CONSTANT_MACROS to CFLAGS to unbreak build with FFmpeg 0.6

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Jul 2010 03:57:10 +0200

netgen (4.9.12.dfsg-3) unstable; urgency=low

  * Added automake to Build-Depends (closes: #580516).
  * Moved to Debian Science git repository and updated control accordingly.
  * Move aside autotools-related files during configuration and cleaning.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 14 May 2010 15:50:02 -0400

netgen (4.9.12.dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * debian/control : added autoconf (Closes: #578292)
  * debian/watch : added dversionmangle
  * Change netgen icon

  [ Adam C. Powell, IV ]
  * Changed netgen.desktop to set NETGENDIR variable.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 06:41:35 -0400

netgen (4.9.12.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release (Closes: #514621).
  * debian/watch: added

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version.
  * Forward-ported netgen-missing-symbols.patch.
  * Simplified rules considerably for new autotools build system.
  * Added OpenCASCADE support (Closes: #506523).
  * Added -release versioning to libnglib and changed shlib package name from
    libnetgen4.9 to libnglib-4.9.12.
  * Changed source format to 3.0 (quilt).
  * Added autotools-dev and libtool to Build-Depends.
  * Updated README.Debian.
  * Removed doc/ng4.pdf because there's no source for it.

  [ Christophe Trophime ]
  * Add support for jpeglib
  * Add support for ffmpeg
  * Disable netgen profiling 
  * Add missing man pages
  * Add /usr/share/netgen which contains *.tcl
  * Setting NETGENDIR to /usr/share/netgen in /etc/profile.d/*sh
  * Fix permissions on tcl scripts in /usr/share/netgen
  * Move netgen.ocf to /usr/share/netgen
  * Added libbz2-dev to debian/control 
  * Add menu entry for netgen
  
 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 12 Apr 2010 22:24:17 -0400

netgen (4.4-15) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "patch depends on changes from .diff.gz", thanks to Raphael
    Hertzog (Closes: #485181).
  * Bug fix: "obsolete binaries need to be removed", thanks to Frank
    Lichtenheld (Closes: #490750).

  [Daniel Leidert]
  * debian/copyright: Completed.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 09 Nov 2008 12:47:59 +0100

netgen (4.4-14) unstable; urgency=low

  * debian/control: do not build on alpha, hppa and m68k

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 26 Apr 2008 11:18:42 +0200

netgen (4.4-13) unstable; urgency=low

  * Bug fix: "netgen: Undefined symbols in libraries", thanks to Adam C
    Powell IV (Closes: #475323).
  * debian/rules: build depends on libgl1-mesa-dev|nvidia-glx-dev

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 13 Apr 2008 12:44:21 +0200

netgen (4.4-12) unstable; urgency=low

  * attempt to fix hppa build
  * Bug fix: "netgen: FTBFS: include/../ngstd/array.hpp:294: error:
    &#39;memcpy&#39; was not declared in this scope", thanks to Lucas
    Nussbaum (Closes: #474828).

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 09 Apr 2008 08:28:05 +0200

netgen (4.4-11) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/rules: export LINK
  * fixed build on ia64 and possibly other archs
  * debian/patches/netgen-shlibs.patch: cleanup up LINKFLAGS2

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 07 Apr 2008 13:28:49 +0200

netgen (4.4-10) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Added Homepage field. Vcs fields transition. Fixed Vcs-Svn
    field.
  * debian/netgen-doc.doc-base: Fixed encoding of the file.
    (Abstract): Improved description.
    (Section): Fixed for doc-base 0.8.10.
  * debian/rules (clean): Fixed to build twice in a row.
  * debian/patches/stdlib.patch: Adjusted to compile with GCC 4.3 (closes:
    #454830).
  * debian/patches/netgen-shlibs.patch: Adjusted. Add linkages to resolve
    symbols for the libraries. Otherwise the library package dependencies will
    not be correct.
  * debian/patches/clean.patch: Removed. Not sufficient. Better be done in
    debian/rules.

  [ Christophe Prud'homme ]
  * debian/rules: export CC/CPLUSPLUS
  * Upload

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 07 Apr 2008 10:53:48 +0200

netgen (4.4-9) unstable; urgency=low

  * Bug fix: "netgen: clean target is insufficient", thanks to brian
    m. carlson (Closes: #455536).
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #454830).
  * Bug fix: "netgen: Interface lib is missing nglib.cpp", thanks to Adam
    C. Powell (Closes: #461929).
  * Bug fix: "netgen: Please add shared libs", thanks to Adam
    C. Powell (Closes: #462105).
  * debian/control: Fixed Depends for libnetgen
  * debian/control: Updated Standards-Version

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 08 Feb 2008 09:27:04 +0100

netgen (4.4-8) unstable; urgency=low

  [ Christophe Prud'homme ]
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417451).

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 17 Jul 2007 06:32:28 +0200

netgen (4.4-7) unstable; urgency=low

  * Added g++ to Build-Depends, it might help build on arm
  * Updated Standards-Version to 3.7.2 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 30 Jul 2006 17:09:06 +0200

netgen (4.4-6) unstable; urgency=low

  * Bug fix: "netgen: FTBFS: cannot find -lXi", thanks to Daniel Schepler
    (Closes: #370176).
  * Make it compile with g++ 4.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  9 Jun 2006 08:00:29 +0200

netgen (4.4-5) unstable; urgency=low

  * Fixed netgen override disparity
  * Fixed tix dependency


=== debian/control ===
Source: netgen
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Build-Depends: quilt, cdbs, debhelper (>= 7), autotools-dev, automake, libtool,
 g++ (>= 4.0), tcl8.5-dev, tk8.5-dev, tix-dev (>= 8.4.3-2),
 docbook-to-man, libxmu-dev, libglu1-mesa-dev,
 libgl1-mesa-dev|nvidia-glx-dev, libopencascade-foundation-dev,
 libopencascade-modeling-dev, libopencascade-visualization-dev,
 libopencascade-ocaf-dev, libopencascade-ocaf-lite-dev, libtogl-dev (>= 1.7),
 libswscale-dev, libavformat-dev, libavcodec-dev, libjpeg62-dev, libbz2-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/netgen.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/netgen.git
Homepage: http://sourceforge.net/projects/netgen-mesher/

Package: netgen
Architecture: any
Depends: tix, tix-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format.  NETGEN contains modules
 for mesh optimization and hierarchical mesh refinement.

Package: netgen-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: netgen
Description: Automatic 3d tetrahedral mesh generator documentation
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format.  NETGEN contains modules
 for mesh optimization and hierarchical mesh refinement.
 .
 This package contains the user manual (in PDF format) and example
 files.

Package: libnglib-dev
Section: libdevel
Architecture: any
Depends: libnglib-4.9.12 (= ${binary:Version}), ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator development files
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains the static libraries and header files.

Package: libnglib-4.9.12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator development files
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains the shared libraries.

## netgen 4.9.13.dfsg

=== debian/changelog ===
netgen (4.9.13.dfsg-10) unstable; urgency=medium

  * [f5aa1b2] Mark libnglib-4.9.13 as Multi-Arch: same
  * [5db4cfb] Update d/watch.
  * [c2dc4fc] Remove readme-files.
  * [2265ee3] Remove netgen.maintscript
  * [75b9e90] Install some more headers.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jul 2017 20:04:53 +0200

netgen (4.9.13.dfsg-9) unstable; urgency=medium

  * [f6e3fde] Use dh 10 instead of cdbs. Simplify d/rules.
  * [46777a6] Move manpages into debian/manpages.
  * [c1dcc84] Install all tcl-files.
  * [dcc5d61] Drop executable flag in tcl
  * [f32f653] Fix startup-crash. (Closes: #782361)
  * [2df4370] Remove tix-dev from depends of netgen. (Closes: #736402)
  * [f4d1b41] Remove Christophe from uploaders. (Closes: #835018)
  * [96633b5] Add netgen-doc in suggests-section of netgen. (Closes: #849901)
  * [c11431b] Add myself to uploaders.
  * [028961d] Use DEP-5 for d/copyright.
  * [1a813c8] Apply cme fix dpkg.
  * [b68a25e] Fix indent in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jul 2017 17:03:28 +0200

netgen (4.9.13.dfsg-8) unstable; urgency=medium

  * Team upload.
  * Patch netgen to set NETGENDIR if not already set. (Closes: #648047)
  * Remove /etc/profile.d/netgen.{csh,sh}. (Closes: #671186)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Dec 2013 10:15:08 +0100

netgen (4.9.13.dfsg-7) unstable; urgency=low

  * Drop quilt.mk and quilt build-depends, as otherwise patches are
    unapplied before autoreconf and thus this package FTBFS, as without
    patches autoreconf fails. Closes: #713306

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 22 Aug 2013 20:50:56 +0100

netgen (4.9.13.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fix automake1.13 FTBFS at autoreconf. Closes: #713306
  * Disable ffmpeg/avcodec, GPL incompatible + needs porting to new
    api. Closes: #618968

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 23:29:59 +0100

netgen (4.9.13.dfsg-5) experimental; urgency=low

  * Team upload.
  * Use libjpeg-dev not libjpeg62-dev (closes: #644069).
  * Fix build against oce 0.10 (closes: #677558).
  * Tweak debian/rules to fix building twice in a row.
  * Fix libnglib-4.9.13 short description.
  * Add netgen-headers package providing internal headers (closes: #683661)
  * Bump oce build-dependencies to 0.10.

 -- Julien Cristau <julien.cristau@logilab.fr>  Tue, 27 Nov 2012 10:53:26 +0100

netgen (4.9.13.dfsg-4) unstable; urgency=low

  [ Denis Barbier ]
  * Switch from OpenCASCADE to OCE (closes: #659132).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 06 Mar 2012 11:17:32 -0500

netgen (4.9.13.dfsg-3) unstable; urgency=low

  * Versioned Depends on libopencascade-modeling-dev (closes: #619931).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 11 Apr 2011 18:04:44 -0400

netgen (4.9.13.dfsg-2) unstable; urgency=low

  * Patched to work with OpenCASCADE 6.5.0 (closes: #619931).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 01 Apr 2011 17:14:50 -0400

netgen (4.9.13.dfsg-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * Add a flag to unbreak building with FFmpeg 0.6 (closes: #588982)

  [ Adam C. Powell, IV ]
  * New upstream (closes: #586786).
  * Quoted Adam Powell's name in the changelog (closes: #591770).
  * Added debian/patches/quiltrc and refreshed patches.
  * Bumped Standards-Version.
  * Added lintian overrides file.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 21 Oct 2010 23:48:28 -0400

=== debian/control ===
Source: netgen
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>,
           Anton Gladky <gladk@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 10),
               autotools-dev,
               automake,
               libtool,
               tcl8.5-dev,
               tk8.5-dev,
               tix-dev,
               docbook-to-man,
               libxmu-dev,
               libglu1-mesa-dev,
               liboce-foundation-dev (>= 0.10),
               liboce-modeling-dev (>= 0.10),
               liboce-visualization-dev (>= 0.10),
               liboce-ocaf-dev (>= 0.10),
               liboce-ocaf-lite-dev (>= 0.10),
               libtogl-dev,
               libswscale-dev,
               libjpeg-dev,
               libbz2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/netgen.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/netgen.git
Homepage: http://sourceforge.net/projects/netgen-mesher/

Package: netgen
Architecture: any
Depends: tix,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: netgen-doc
Description: Automatic 3d tetrahedral mesh generator
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format.  NETGEN contains modules
 for mesh optimization and hierarchical mesh refinement.

Package: netgen-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: netgen
Description: Automatic 3d tetrahedral mesh generator documentation
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format.  NETGEN contains modules
 for mesh optimization and hierarchical mesh refinement.
 .
 This package contains the user manual (in PDF format) and example
 files.

Package: libnglib-dev
Architecture: any
Section: libdevel
Depends: libnglib-4.9.13 (= ${binary:Version}),
         ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator development files
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains the static libraries and header files.

Package: libnglib-4.9.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic 3d tetrahedral mesh generator shared library
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains the shared libraries.

Package: netgen-headers
Architecture: any
Section: libdevel
Depends: libnglib-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Automatic 3d tetrahedral mesh generator internal headers
 NETGEN is an automatic 3d tetrahedral mesh generator. It accepts
 input from constructive solid geometry (CSG) or boundary
 representation (BRep) from STL file format. The connection to a
 geometry kernel allows the handling of IGES and STEP files. NETGEN
 contains modules for mesh optimization and hierarchical mesh
 refinement.
 .
 This package contains internal headers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export MACHINE=LINUX

extra_flags += \
            --enable-occ \
            --with-occ=/usr \
            --with-tcl=/usr/lib/tcl8.5 \
            --with-tk=/usr/lib/tk8.5 \
            --with-togl=/usr/lib \
            --enable-jpeglib

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_install:
	dh_auto_install
	chmod -x debian/tmp/usr/bin/*.tcl

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://sf.net/netgen-mesher/netgen-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## netgen 6.2.1804%2Bdfsg1

=== libsrc/linalg/CMakeLists.txt ===
add_library( la OBJECT
        densemat.cpp polynomial.cpp bfgs.cpp linopt.cpp linsearch.cpp 
        )

set_target_properties(la PROPERTIES POSITION_INDEPENDENT_CODE ON )

install(FILES
  densemat.hpp linalg.hpp opti.hpp
  polynomial.hpp vector.hpp
  DESTINATION ${NG_INSTALL_DIR_INCLUDE}/linalg COMPONENT netgen_devel
)

=== libsrc/stlgeom/CMakeLists.txt ===
add_library(stl ${NG_LIB_TYPE} 
        meshstlsurface.cpp stlgeom.cpp stlgeomchart.cpp 
        stlgeommesh.cpp stlline.cpp stltool.cpp stltopology.cpp python_stl.cpp
        )

if(NOT WIN32)
    target_link_libraries( stl mesh  ${PYTHON_LIBRARIES})
    target_link_libraries( stl ${PYTHON_LIBRARIES})
    install( TARGETS stl ${NG_INSTALL_DIR})
endif(NOT WIN32)

if(USE_GUI)
    add_library(stlvis ${NG_LIB_TYPE}
            vsstl.cpp
            )
    if(NOT WIN32)
        target_link_libraries( stlvis stl )
        install( TARGETS stlvis ${NG_INSTALL_DIR})
    endif(NOT WIN32)
endif(USE_GUI)

install(FILES
  meshstlsurface.hpp stlgeom.hpp stlline.hpp
  stltool.hpp stltopology.hpp vsstl.hpp
  DESTINATION ${NG_INSTALL_DIR_INCLUDE}/stlgeom COMPONENT netgen_devel
)
